# TODO: [lib]lemon, WITH_LEMON
Summary:	Generic Programming for Computer Vision
Summary(pl.UTF-8):	Ogólne programowanie obrazu komputerowego
Name:		vigra
Version:	1.10.0
Release:	12
License:	MIT
Group:		Libraries
#Source0Download: http://ukoethe.github.io/vigra/#download
Source0:	https://github.com/ukoethe/vigra/releases/download/Version-1-10-0/%{name}-%{version}-src-with-docu.tar.gz
# Source0-md5:	85e2968e4ee5f9541b5dd8b3fb9cc433
Patch0:		python-install.patch
URL:		http://hci.iwr.uni-heidelberg.de/vigra/
BuildRequires:	OpenEXR-devel
BuildRequires:	boost-python-devel >= 1.40.0
BuildRequires:	cmake >= 2.6.0
BuildRequires:	doxygen
BuildRequires:	fftw3-single-devel
BuildRequires:	hdf5-devel >= 1.8
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 2:1.4.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-numpy-devel
BuildRequires:	rpmbuild(macros) >= 1.586
BuildRequires:	sphinx-pdg
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VIGRA stands for "Vision with Generic Algorithms". It's a novel
computer vision library that puts its main emphasize on customizable
algorithms and data structures. By using template techniques similar
to those in the C++ Standard Template Library, you can easily adapt
any VIGRA component to the needs of your application, without thereby
giving up execution speed.

%description -l pl.UTF-8
VIGRA to skrót od "Vision with Generic Algorithms" (widok z ogólnymi
algorytmami). Jest to nowa biblioteka do obrazu komputerowego kładąca
główny nacisk na algorytmy i struktury danych z możliwością
dostosowania do własnych potrzeb. Poprzez użycie technik szablonów
podobnych do tych w standardowej bibliotece szablonów C++ (STL) można
łatwo zaadaptować dowolny komponent VIGRA do potrzeb własnej aplikacji
bez poświęcania szybkości wykonywania.

%package devel
Summary:	Header files for vigra library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki vigra
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fftw3-single-devel
Requires:	hdf5-devel >= 1.8
Requires:	libjpeg-devel
Requires:	libpng-devel >= 2:1.4.0
Requires:	libstdc++-devel
Requires:	libtiff-devel
Obsoletes:	vigra-static

%description devel
Header files needed to compile programs with vigra.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do budowania programów używających
biblioteki vigra.

%package -n python-vigra
Summary:	VIGRA Python bindings
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki VIGRA
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-numpy
Suggests:	python-PyQt4

%description -n python-vigra
VIGRA Python bindings.

%description -n python-vigra -l pl.UTF-8
Wiązania Pythona do biblioteki VIGRA.

%package -n python-vigra-devel
Summary:	Development file for VIGRA Python bindings
Summary(pl.UTF-8):	Plik programistyczny wiązań Pythona do biblioteki VIGRA
Group:		Development/Libraries
Requires:	cmake
Requires:	python-vigra = %{version}-%{release}

%description -n python-vigra-devel
Development (cmake config) file for VIGRA Python bindings.

%description -n python-vigra-devel -l pl.UTF-8
Plik programistyczny (konfiguracja cmake'a) dla wiązań Pythona do
biblioteki VIGRA.

%package doc
Summary:	Development documentation for vigra library
Summary(pl.UTF-8):	Dokumentacja programisty do biblioteki vigra
Group:		Documentation

%description doc
Development documentation for vigra library.

%description doc -l pl.UTF-8
Dokumentacja programisty do biblioteki vigra.

%prep
%setup -q
%patch0 -p1

%build
%cmake . \
	-DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG" \
	-DWITH_BOOST_GRAPH=ON \
	-DWITH_OPENEXR=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}/vigra
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}/vigra
%py_postclean

%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc/vigra*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.md
%attr(755,root,root) %{_libdir}/libvigraimpex.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libvigraimpex.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vigra-config
%attr(755,root,root) %{_libdir}/libvigraimpex.so
%{_includedir}/vigra
%dir %{_libdir}/vigra
%{_libdir}/vigra/VigraConfig*.cmake
%{_libdir}/vigra/vigra-targets*.cmake

%files -n python-vigra
%defattr(644,root,root,755)
%dir %{py_sitedir}/vigra
%attr(755,root,root) %{py_sitedir}/vigra/*.so
%{py_sitedir}/vigra/*.py[co]
%dir %{py_sitedir}/vigra/pyqt
%{py_sitedir}/vigra/pyqt/*.py[co]

%files -n python-vigra-devel
%defattr(644,root,root,755)
%dir %{_libdir}/vigranumpy
%{_libdir}/vigranumpy/VigranumpyConfig.cmake

%files doc
%defattr(644,root,root,755)
%doc doc/{vigra,vigranumpy}
%changelog
* Tue May 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vigra.git;a=log;h=master

* Tue May 17 2016 Elan Ruusamäe <glen@delfi.ee> aada4c1
- boost 1.61 rebuild
- release 12 (by relup.sh)

* Sun Dec 13 2015 Jan Rękorajski <baggins@pld-linux.org> d6aa230
- fix python install path
- rel 11

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a00e92d
- release 10 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> dd2aa8a
- release 9 (by relup.sh)

* Wed Jul 15 2015 Jan Rękorajski <baggins@pld-linux.org> 69da768
- release 8 (by relup.sh)

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> 5111dd9
- boost rebuild
- release 7 (by relup.sh)

* Tue Feb 17 2015 Jan Rękorajski <baggins@pld-linux.org> 0c8260c
- rebuild with boost 1.57.0
- release 6 (by relup.sh)

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> 96209a1
- rebuild with hdf5 1.8.14
- release 5 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 0a15402
- rebuild with boost 1.56.0
- release 4 (by relup.sh)

* Mon Apr 14 2014 Jan Rękorajski <baggins@pld-linux.org> 9fabda8
- release 3 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 647485b
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Mon Dec 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 0992852
- updated to 1.10.0 (note: new soname)

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> 659b0fa
- rel 5

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b7c69ea
- release 4 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> b1a69c9
- release 3 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> 27560ab
- release 2 (by relup.sh)

* Sat Nov 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 1134450
- updated to 1.9.0
- removed obsolete lib_suffix,gcc47 patches

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 708855d
- release 9 (by relup.sh)

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> 0e47031
- Fix building with gcc 4.7 (patch from fedora)
Cosmetics - no version in patch names
Release 8

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8539fbf
- release 7

